# PPT criteria

Positive Partial Transpose (PPT)

Accessible in both `numqi.entangle` (recommended) and `numqi.entangle.ppt`

::: numqi.entangle.get_ppt_boundary
    options:
      heading_level: 2

::: numqi.entangle.is_ppt
    options:
      heading_level: 2

::: numqi.entangle.is_generalized_ppt
    options:
      heading_level: 2

::: numqi.entangle.get_generalized_ppt_boundary
    options:
      heading_level: 2

::: numqi.entangle.get_ppt_numerical_range
    options:
      heading_level: 2

::: numqi.entangle.get_ppt_ree
    options:
      heading_level: 2

::: numqi.entangle.get_dm_cross_section_boundary
    options:
      heading_level: 2

::: numqi.entangle.plot_dm_cross_section
    options:
      heading_level: 2

`numqi.entangle.cvx_matrix_xlogx` TODO

`numqi.entangle.cvx_matrix_mlogx` TODO
